com.aliyun.svideosdk.editor

## Interface AliyunIAugmentationController

-     public interface AliyunIAugmentationController

  sdk version >= v3.25.0

  Augmentation controller

  you can set Augmentation properties with this controller. such as brightness, contrast...

  you must call #apply `apply()` to take effect.

  Attentions：

  you must call #apply `apply()` to take effect.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `apply()` apply change
    `float` | `getBrightness()` get brightness value
    `float` | `getContrast()` get contrast value
    `float` | `getSaturation()` get saturation value
    `float` | `getSharpness()` get sharpness value
    `float` | `getVignette()` get sharpness value
    `void` | `resetDefault()` reset dufault value
    `AliyunIAugmentationController` | `setBrightness(float value)` set brightness
    `AliyunIAugmentationController` | `setContrast(float value)` set contrast
    `AliyunIAugmentationController` | `setSaturation(float value)` set saturation
    `AliyunIAugmentationController` | `setSharpness(float value)` set sharpness
    `AliyunIAugmentationController` | `setVignette(float value)` set vignette

- - ### Method Detail

    - #### setBrightness

          AliyunIAugmentationController setBrightness(float value)

      set brightness
      Parameters:
        `value` - 0~1

    - #### setContrast

          AliyunIAugmentationController setContrast(float value)

      set contrast
      Parameters:
        `value` - 0~1

    - #### setSaturation

          AliyunIAugmentationController setSaturation(float value)

      set saturation
      Parameters:
        `value` - 0~1

    - #### setSharpness

          AliyunIAugmentationController setSharpness(float value)

      set sharpness
      Parameters:
        `value` - 0~1

    - #### setVignette

          AliyunIAugmentationController setVignette(float value)

      set vignette
      Parameters:
        `value` - 0~1

    - #### apply

          int apply()

      apply change
      Returns:

    - #### resetDefault

          void resetDefault()

      reset dufault value

    - #### getBrightness

          float getBrightness()

      get brightness value
      Returns:

    - #### getContrast

          float getContrast()

      get contrast value
      Returns:

    - #### getSaturation

          float getSaturation()

      get saturation value
      Returns:

    - #### getSharpness

          float getSharpness()

      get sharpness value
      Returns:

    - #### getVignette

          float getVignette()

      get sharpness value
      Returns: